php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #21810 Not able to start HP/Apache 2.0.43 php-4.2.2 with informix support
Submitted: 2003-01-21 18:19 UTC Modified: 2003-02-04 16:52 UTC
From: sappusam at syd-co dot au dot dhl dot com Assigned:
Status: No Feedback Package: Informix related
PHP Version: 4.2.2 OS: HP-UX 11.00
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2003-01-21 18:19 UTC] sappusam at syd-co dot au dot dhl dot com
Hi,

OS     : HP-UX 11.00 32bit
Apache : HP Apache 2.0.43
         Server Built Oct 16 2002.
PHP    : PHP-4.2.2
Informix: 7.2

 PHP-4.2.2 comes pre-complied with HP apache as dynamic module. 
When i tried to compile php with informix support, configure
and make goes fine. 

configured and compiled with following env. variables.

export IFX_LIBDIR="-L$INFORMIXDIR/lib -L$INFORMIXDIR/lib/esql"
export IFX_INCDIR="$INFORMIXDIR/incl/esql"
export IFX_LIBS="$INFORMIXDIR/lib/esql/libifsql.a \
$INFORMIXDIR/lib/libifasf.a \
$INFORMIXDIR/lib/esql/libifgen.a \
$INFORMIXDIR/lib/esql/libifos.a \
$INFORMIXDIR/lib/esql/libifgls.a \
-lgen -lgls -lm -ldl $INFORMIXDIR/lib/esql/checkapi.o \
$INFORMIXDIR/lib/esql/libifglx.a"
export PATH=$PATH:.:/opt/bison/bin:/opt/binutils/bin:/opt/gcc/bin:/usr/local/bin



But when trying to start apache it gives following error.

# ./apachectl start
Syntax error on line 215 of /opt/hpapache2/conf/httpd.conf:
Cannot load /opt/hpapache2/modules/libphp4.so into server: Unresolved symbol: ifx_checkAPI (code)  from /usr/informix/lib/esql/libthos.sl

I searched on this site for info and included the above libs in path before configuring and making php. But still having same problem. Can someone help me in solving this ?.

Thanks in advance.
Srini.



Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2003-02-04 16:52 UTC] sniper@php.net
No feedback was provided. The bug is being suspended because
we assume that you are no longer experiencing the problem.
If this is not the case and you are able to provide the
information that was requested earlier, please do so and
change the status of the bug back to "Open". Thank you.


 [2006-10-19 20:57 UTC] dcalvo at hcuv dot sacyl dot es
Hi.
Have you tried to update the Ld tools from HP WEB Site?. For HP-UX 11.11 the patch is PHSS_33035. I tink to HP-UX 11.00 is PHSS_33033 (i'm not sure)

Good Luck, Diego.
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Fri Dec 03 11:03:36 2021 UTC